<mat-card>
    <mat-card-header>
        <mat-card-title class="title">اطلاعات ادارات
            <button mat-mini-fab color="primary" [routerLink]="['/office']">
        <mat-icon>undo</mat-icon>
      </button>

        </mat-card-title>
    </mat-card-header>
    <mat-card-content>
        <form #f="ngForm" (ngSubmit)="submit()">
            <div class="form-group">
                <mat-form-field>
                    <input type="text" matInput id="office-name" placeholder="نام اداره ..." [(ngModel)]="office.office_Name" name="office_Name" required #office_Name="ngModel">
                </mat-form-field>
            </div>
            <div class="form-group">
                <mat-form-field>
                    <input type="text" matInput id="office-code" placeholder="کد اداره ..." [(ngModel)]="office.office_Code" name="office_Code" required #office_Code="ngModel">
                </mat-form-field>
            </div>

            <div class="form-group">
                <mat-form-field>
                    <mat-select placeholder="اداره معین" id="parent-office-id" name="parent_Office_ID" [(ngModel)]="office.parent_Office_ID" #parent_Office_ID="ngModel">
                        <mat-option *ngFor="let o of offices" [value]="o.office_ID">{{o.office_Name+' '+ o.office_Code}}</mat-option>
                    </mat-select>
                </mat-form-field>
                <a *ngIf="office.parent_Office_ID!=null" mat-mini-fab color="primary" (click)="donull()">
                    <mat-icon>clear</mat-icon>
                </a>
            </div>
        </form>
        <div class="button-row">
            <button mat-raised-button color="primary" [disabled]="!f.valid" (click)="submit()" *ngIf="!office.office_ID">
        <mat-icon>add</mat-icon> ذخیره
      </button>
            <button mat-raised-button color="warn" [disabled]="!f.valid" (click)="submit()" *ngIf="office.office_ID">
        <mat-icon>save</mat-icon> ویرایش
      </button>
            <button mat-raised-button color="accent" (click)="delete()" *ngIf="office.office_ID">
        <mat-icon>delete</mat-icon> حذف
      </button>
        </div>
    </mat-card-content>
    <!-- <div class="button-row">
        <button mat-mini-fab color="primary" [disabled]="!f.valid" (click)="submit()" *ngIf="!office.office_ID">
    <mat-icon>done</mat-icon>
  </button>
        <button mat-mini-fab color="warn" [disabled]="!f.valid" (click)="submit()" *ngIf="office.office_ID">
    <mat-icon>create</mat-icon>
  </button>
        <button mat-mini-fab color="accent" (click)="delete()" *ngIf="office.office_ID">
    <mat-icon>remove</mat-icon>
  </button>
    </div> -->
</mat-card>